Loading...
Searching...
No Matches
L4Re::Util::Smart_cap_auto< Unmap_flags > Class Template Reference
L4Re C++ Interface » L4Re Util C++ Interface » L4Re Capability API

Helper for Unique_cap and Unique_del_cap. More...

`#include <cap_alloc>`

Collaboration diagram for L4Re::Util::Smart_cap_auto< Unmap_flags >:

## Static Public Member Functions

static void | free (L4::Cap_base &c)
| Free the provided capability.
static void | invalidate (L4::Cap_base &c)
| Invalidate the provided capability.

## Detailed Description

template<unsigned long Unmap_flags = L4_FP_ALL_SPACES>
class L4Re::Util::Smart_cap_auto< Unmap_flags >

Helper for Unique_cap and Unique_del_cap.

Definition at line 45 of file cap_alloc.

The documentation for this class was generated from the following file:

- l4/re/util/cap_alloc